import type * as VTable from '@visactor/vtable';
import type { EventsProps } from '../eventsUtils';
export type IVTable = VTable.ListTable | VTable.PivotTable | VTable.PivotChart;
export type IOption = VTable.ListTableConstructorOptions | VTable.PivotTableConstructorOptions | VTable.PivotChartConstructorOptions;
export interface BaseTableProps extends EventsProps {
    type?: string;
    options?: IOption;
    records?: Record<string, unknown>[];
    width?: number | string;
    height?: number | string;
    onReady?: (instance: IVTable, isInitial: boolean) => void;
    onError?: (err: Error) => void;
}
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    type: {
        type: StringConstructor;
        required: false;
    };
    options: {
        type: any;
        required: false;
    };
    records: {
        type: ArrayConstructor;
        required: false;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    onReady: {
        type: FunctionConstructor;
        required: false;
    };
    onError: {
        type: FunctionConstructor;
        required: false;
    };
    onClickCell: {
        type: any;
        required: false;
    };
    onDblClickCell: {
        type: any;
        required: false;
    };
    onMouseDownCell: {
        type: any;
        required: false;
    };
    onMouseUpCell: {
        type: any;
        required: false;
    };
    onSelectedCell: {
        type: any;
        required: false;
    };
    onKeyDown: {
        type: any;
        required: false;
    };
    onMouseEnterTable: {
        type: any;
        required: false;
    };
    onMouseLeaveTable: {
        type: any;
        required: false;
    };
    onMouseDownTable: {
        type: any;
        required: false;
    };
    onMouseMoveCell: {
        type: any;
        required: false;
    };
    onMouseEnterCell: {
        type: any;
        required: false;
    };
    onMouseLeaveCell: {
        type: any;
        required: false;
    };
    onContextMenuCell: {
        type: any;
        required: false;
    };
    onResizeColumn: {
        type: any;
        required: false;
    };
    onResizeColumnEnd: {
        type: any;
        required: false;
    };
    onChangeHeaderPosition: {
        type: any;
        required: false;
    };
    onChangeHeaderPositionStart: {
        type: any;
        required: false;
    };
    onChangeHeaderPositionFail: {
        type: any;
        required: false;
    };
    onSortClick: {
        type: any;
        required: false;
    };
    onFreezeClick: {
        type: any;
        required: false;
    };
    onScroll: {
        type: any;
        required: false;
    };
    onDropdownMenuClick: {
        type: any;
        required: false;
    };
    onMouseOverChartSymbol: {
        type: any;
        required: false;
    };
    onDragSelectEnd: {
        type: any;
        required: false;
    };
    onDropdownIconClick: {
        type: any;
        required: false;
    };
    onDropdownMenuClear: {
        type: any;
        required: false;
    };
    onTreeHierarchyStateChange: {
        type: any;
        required: false;
    };
    onShowMenu: {
        type: any;
        required: false;
    };
    onHideMenu: {
        type: any;
        required: false;
    };
    onIconClick: {
        type: any;
        required: false;
    };
    onLegendItemClick: {
        type: any;
        required: false;
    };
    onLegendItemHover: {
        type: any;
        required: false;
    };
    onLegendItemUnHover: {
        type: any;
        required: false;
    };
    onLegendChange: {
        type: any;
        required: false;
    };
    onMouseEnterAxis: {
        type: any;
        required: false;
    };
    onMouseLeaveAxis: {
        type: any;
        required: false;
    };
    onCheckboxStateChange: {
        type: any;
        required: false;
    };
    onRadioStateChange: {
        type: any;
        required: false;
    };
    onAfterRender: {
        type: any;
        required: false;
    };
    onInitialized: {
        type: any;
        required: false;
    };
    onPivotSortClick: {
        type: any;
        required: false;
    };
    onDrillMenuClick: {
        type: any;
        required: false;
    };
    onVChartEventType: {
        type: any;
        required: false;
    };
    onChangeCellValue: {
        type: any;
        required: false;
    };
    onMousedownFillHandle: {
        type: any;
        required: false;
    };
    onDragFillHandleEnd: {
        type: any;
        required: false;
    };
    onDblclickFillHandle: {
        type: any;
        required: false;
    };
    onScrollVerticalEnd: {
        type: any;
        required: false;
    };
    onScrollHorizontalEnd: {
        type: any;
        required: false;
    };
}>, (_ctx: any, _cache: any) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: StringConstructor;
        required: false;
    };
    options: {
        type: any;
        required: false;
    };
    records: {
        type: ArrayConstructor;
        required: false;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    onReady: {
        type: FunctionConstructor;
        required: false;
    };
    onError: {
        type: FunctionConstructor;
        required: false;
    };
    onClickCell: {
        type: any;
        required: false;
    };
    onDblClickCell: {
        type: any;
        required: false;
    };
    onMouseDownCell: {
        type: any;
        required: false;
    };
    onMouseUpCell: {
        type: any;
        required: false;
    };
    onSelectedCell: {
        type: any;
        required: false;
    };
    onKeyDown: {
        type: any;
        required: false;
    };
    onMouseEnterTable: {
        type: any;
        required: false;
    };
    onMouseLeaveTable: {
        type: any;
        required: false;
    };
    onMouseDownTable: {
        type: any;
        required: false;
    };
    onMouseMoveCell: {
        type: any;
        required: false;
    };
    onMouseEnterCell: {
        type: any;
        required: false;
    };
    onMouseLeaveCell: {
        type: any;
        required: false;
    };
    onContextMenuCell: {
        type: any;
        required: false;
    };
    onResizeColumn: {
        type: any;
        required: false;
    };
    onResizeColumnEnd: {
        type: any;
        required: false;
    };
    onChangeHeaderPosition: {
        type: any;
        required: false;
    };
    onChangeHeaderPositionStart: {
        type: any;
        required: false;
    };
    onChangeHeaderPositionFail: {
        type: any;
        required: false;
    };
    onSortClick: {
        type: any;
        required: false;
    };
    onFreezeClick: {
        type: any;
        required: false;
    };
    onScroll: {
        type: any;
        required: false;
    };
    onDropdownMenuClick: {
        type: any;
        required: false;
    };
    onMouseOverChartSymbol: {
        type: any;
        required: false;
    };
    onDragSelectEnd: {
        type: any;
        required: false;
    };
    onDropdownIconClick: {
        type: any;
        required: false;
    };
    onDropdownMenuClear: {
        type: any;
        required: false;
    };
    onTreeHierarchyStateChange: {
        type: any;
        required: false;
    };
    onShowMenu: {
        type: any;
        required: false;
    };
    onHideMenu: {
        type: any;
        required: false;
    };
    onIconClick: {
        type: any;
        required: false;
    };
    onLegendItemClick: {
        type: any;
        required: false;
    };
    onLegendItemHover: {
        type: any;
        required: false;
    };
    onLegendItemUnHover: {
        type: any;
        required: false;
    };
    onLegendChange: {
        type: any;
        required: false;
    };
    onMouseEnterAxis: {
        type: any;
        required: false;
    };
    onMouseLeaveAxis: {
        type: any;
        required: false;
    };
    onCheckboxStateChange: {
        type: any;
        required: false;
    };
    onRadioStateChange: {
        type: any;
        required: false;
    };
    onAfterRender: {
        type: any;
        required: false;
    };
    onInitialized: {
        type: any;
        required: false;
    };
    onPivotSortClick: {
        type: any;
        required: false;
    };
    onDrillMenuClick: {
        type: any;
        required: false;
    };
    onVChartEventType: {
        type: any;
        required: false;
    };
    onChangeCellValue: {
        type: any;
        required: false;
    };
    onMousedownFillHandle: {
        type: any;
        required: false;
    };
    onDragFillHandleEnd: {
        type: any;
        required: false;
    };
    onDblclickFillHandle: {
        type: any;
        required: false;
    };
    onScrollVerticalEnd: {
        type: any;
        required: false;
    };
    onScrollHorizontalEnd: {
        type: any;
        required: false;
    };
}>> & Readonly<{
    [x: `on${Capitalize<string>}`]: (...args: any[]) => any;
}>, {
    options: any;
    width: string | number;
    height: string | number;
    onClickCell: any;
    onDblClickCell: any;
    onMouseDownCell: any;
    onMouseUpCell: any;
    onSelectedCell: any;
    onKeyDown: any;
    onMouseEnterTable: any;
    onMouseLeaveTable: any;
    onMouseDownTable: any;
    onMouseMoveCell: any;
    onMouseEnterCell: any;
    onMouseLeaveCell: any;
    onContextMenuCell: any;
    onResizeColumn: any;
    onResizeColumnEnd: any;
    onChangeHeaderPosition: any;
    onChangeHeaderPositionStart: any;
    onChangeHeaderPositionFail: any;
    onSortClick: any;
    onFreezeClick: any;
    onScroll: any;
    onDropdownMenuClick: any;
    onMouseOverChartSymbol: any;
    onDragSelectEnd: any;
    onDropdownIconClick: any;
    onDropdownMenuClear: any;
    onTreeHierarchyStateChange: any;
    onShowMenu: any;
    onHideMenu: any;
    onIconClick: any;
    onLegendItemClick: any;
    onLegendItemHover: any;
    onLegendItemUnHover: any;
    onLegendChange: any;
    onMouseEnterAxis: any;
    onMouseLeaveAxis: any;
    onCheckboxStateChange: any;
    onRadioStateChange: any;
    onAfterRender: any;
    onInitialized: any;
    onPivotSortClick: any;
    onDrillMenuClick: any;
    onVChartEventType: any;
    onChangeCellValue: any;
    onMousedownFillHandle: any;
    onDragFillHandleEnd: any;
    onDblclickFillHandle: any;
    onScrollVerticalEnd: any;
    onScrollHorizontalEnd: any;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
